<template>
  <q-card-section class="col-12 text-center">
    <div class="text-h6 text-terciary">Nova Unitat de Convivència</div>
    <div class="text-subtitle2 text-terciary">
      Quin format t'escau més?
    </div>
  </q-card-section>

  <q-card-section class="col-12 flex flex-center">
    <q-option-group
      :options="OPTIONS"
      type="radio"
      v-model="stage"
      hint="Escull quin tipus d'UC"
    />
  </q-card-section>
  <q-card-section class="col-12 flex flex-center">
    <q-input
      square
      outlined
      v-model="name"
      type="text"
      label="Nom Unitat de la Convivènca"
      hint="Ex: Famlía Cargol"
      style="width: 450px"
    />
  </q-card-section>
</template>

<script setup>
import { ProfileStore } from 'stores/profileStore'
import { storeToRefs } from 'pinia'

const profile = ProfileStore()
const { stage, name } = storeToRefs(profile)

const OPTIONS = [
  { value: 'single', label: 'Una Persona' },
  { value: 'couple', label: 'Una Parella' },
  { value: 'family', label: 'Una Famlía' },
  { value: 'other', label: 'Altres' }
]
</script>
